Notify API reference

Notify API · Recipients

get/v1/workspaces/{workspace_id}/recipientsAuth

List recipients

Newest first. Filter by `email` (case-insensitive), `auth_user_id`, or `updated_since` for an incremental sync. Pass `next_cursor` as `cursor` until `has_more` is false. `include=preferences` adds each recipient's preference cells (an export of consent).

Path parameters

workspace_id*string · uuid

Id of the workspace.

Query parameters

emailstring · email

Only the recipient(s) with this email address (case-insensitive).

auth_user_idstring · uuid

Only the recipient linked to this Auth end user.

updated_sincestring · date-time

Only recipients changed at or after this time (incremental sync).

includeenum (1)

`preferences` adds each recipient's preference cells (for an export).

cursorstring

Opaque cursor for pagination: the `next_cursor` of the previous page.

limitinteger

Page size.

Response · 200 A page of recipients.

data*array

Recipients, newest first.

pagination*object

The cursor for the next page.

Example

Request

GET https://api.notify.productcraft.co/v1/workspaces/{workspace_id}/recipients
Authorization: Bearer YOUR_TOKEN

Response

{
  "data": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "external_id": "user_123",
      "auth_user_id": "00000000-0000-0000-0000-000000000000",
      "email": "user@example.com",
      "phone": "string",
      "name": "string",
      "locale": "string",
      "timezone": "string",
      "quiet_hours": {},
      "properties": {},
      "email_invalid_at": "2026-01-01T00:00:00.000Z",
      "email_complained_at": "2026-01-01T00:00:00.000Z",
      "last_seen_at": "2026-01-01T00:00:00.000Z",
      "unsubscribed_all": false,
      "preferences": [
        {
          "scope": {},
          "key": "string",
          "channel": {},
          "enabled": false
        }
      ],
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "pagination": {}
}